Q&A Pipeline: question → answer → verify → cache
==================================================

Question answering, caching, verification, evidence mapping.

keys
----

.. automodule:: arborist.qa.keys
   :members:
   :undoc-members:

runner
------

.. automodule:: arborist.qa.runner
   :members:
   :undoc-members:

query
-----

.. automodule:: arborist.qa.query
   :members:
   :undoc-members:

verify
------

.. automodule:: arborist.qa.verify
   :members:
   :undoc-members:

evidence
--------

.. automodule:: arborist.qa.evidence
   :members:
   :undoc-members:

quantifier
----------

.. automodule:: arborist.qa.quantifier
   :members:
   :undoc-members:

metacognition
-------------

.. automodule:: arborist.qa.metacognition
   :members:
   :undoc-members:

dag
---

.. automodule:: arborist.qa.dag
   :members:
   :undoc-members:

client
------

.. automodule:: arborist.qa.client
   :members:
   :undoc-members:
